org.apache.solr.client.solrj.request

## Class CollectionAdminRequest.Delete

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest
  - - org.apache.solr.client.solrj.request.CollectionAdminRequest
    - - org.apache.solr.client.solrj.request.CollectionAdminRequest.Delete

All Implemented Interfaces:
  Serializable

Enclosing class:
  CollectionAdminRequest

    public static class CollectionAdminRequest.Delete
    extends CollectionAdminRequest

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`CollectionAdminRequest.AddReplica, CollectionAdminRequest.CollectionShardAdminRequest, CollectionAdminRequest.Create, CollectionAdminRequest.CreateAlias, CollectionAdminRequest.CreateShard, CollectionAdminRequest.Delete, CollectionAdminRequest.DeleteAlias, CollectionAdminRequest.DeleteShard, CollectionAdminRequest.Reload, CollectionAdminRequest.RequestStatus, CollectionAdminRequest.SplitShard`

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`action, asyncId, collection`

### Constructor Summary

Constructors
Constructor and Description
`CollectionAdminRequest.Delete()`

### Method Summary

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`createAlias, createCollection, createCollection, createCollection, createCollection, createCollection, createCollection, createCollection, createCollection, createCollection, createShard, createShard, deleteAlias, deleteCollection, deleteCollection, deleteShard, getContentStreams, getParams, process, reloadCollection, reloadCollection, requestStatus, setAction, setAsyncId, setCollectionName, splitShard, splitShard, splitShard, splitShard`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`getMethod, getPath, getResponseParser, getStreamingResponseCallback, setMethod, setPath, setResponseParser, setStreamingResponseCallback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CollectionAdminRequest.Delete

    public CollectionAdminRequest.Delete()